Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# FLAC__Subframe_Fixed Struct Reference
[FLAC/format.h: format components]

`#include <format.h>`

List of all members.

## Public Attributes

FLAC__EntropyCodingMethod | entropy_coding_method
unsigned | order
FLAC__int32 | warmup [FLAC__MAX_FIXED_ORDER]
const FLAC__int32 * | residual

## Detailed Description

FIXED subframe. (c.f. format specification)

## Member Data Documentation

FLAC__EntropyCodingMethod FLAC__Subframe_Fixed::entropy_coding_method

| The residual coding method.

unsigned FLAC__Subframe_Fixed::order

| The polynomial order.

FLAC__int32 FLAC__Subframe_Fixed::warmup[FLAC__MAX_FIXED_ORDER]

| Warmup samples to prime the predictor, length == order.

const FLAC__int32* FLAC__Subframe_Fixed::residual

| The residual signal, length == (blocksize minus order) samples.

The documentation for this struct was generated from the following file:

- include/FLAC/format.h